<?php
error_reporting(0);
//----------
include ('inc/config.inc.php.php');
//----------
$g = intval($_GET['g']); if ($g == 0) $g = false;
$ts = intval($_GET['ts']); if ($ts == 0) $ts = false;
$strana = intval($_GET['g']); if ($strana == 0) $strana = false;
$city = intval($_GET['ts']); if ($city == 0) $city = false;
include ('inc/function.php');
//----------
ini_set('session.use_cookies', '0');
ini_set('session.use_trans_sid', '0');
//----------
session_name('sid');
session_start();
//----------
connect_to_db();
include ('inc/autorize.php.php');
//-----------
$partner = intval($_GET['partner']); if ($partner == 0) $partner = 1;
//----------
$arr = mysql_query("SELECT COUNT(*) FROM `love_partner`;");
$part_users = mysql_result($arr, 0);
if($partner > $part_users) $partner = 1;
//----------
$partner_arr = @mysql_query("SELECT * FROM `love_partner` WHERE `partner` = ".$partner." LIMIT 1;");
$row = @mysql_fetch_array($partner_arr);
$partner_site = $row['site'];
$partner_name = $row['name'];
//----------
function sid(){
$br = $_SERVER['HTTP_USER_AGENT'];
$ip = $_SERVER['REMOTE_ADDR'];
return substr(base64_encode($ip.$br),0,24);
}
if(!empty($_POST['rega']))
{
session_id($_POST['sid']);
session_start();
define(new_session,false);
}
else
{
define(new_session,true);
session_start();
$code = rand(100, 999);
$_SESSION['code'] = $code;
}
//----------
$title = 'Регистрация';
include ('header.php');
echo $header;
if($mod == '1') echo '<p align="center"><small>';
//----------
if(!isset($_POST['rega']) || new_session) {
echo $class_d2;
echo 'Регистрация<br/>';
echo $class_divz;
if($mod == '1') {
echo '</small></p><p align="left"><small>';
echo '<b>Город: <a href="city.php?partner='.$partner.'&amp;mod='.$mod.'&amp;act=reg&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">';
if ($ts != false) echo $g.', '.$ts; else echo 'Выбрать';
echo '</a><br/></b>';
echo 'Ник(от 3 до 20 символов,a-zA-Z1-9):</small><br/>';
echo '<input name="nick" type="text" maxlength="20" /><br/>';
echo '<small>Пароль(от 4 до 15 символов):</small><br/>';
echo '<input name="pas" type="text" maxlength="15" /><br/>';
echo '<small>Имя, которое будут видеть пользователи:</small><br/>';
echo '<input name="name" type="text" maxlength="40" /><br/>';
echo '<select name="trans"><option value="0">Как есть</option><option value="1">Транслит</option></select><br/>';
echo '<small>Пол:</small><br/>';
echo '<select name="pol">';
echo '<option value="1" selected="selected">мужской</option>';
echo '<option value="2">женский</option>';
echo '</select>';
echo '<br/>';
echo '<small>Кого вы ищете:</small><br/>';
echo '<select name="ishu">';
echo '<option value="1" selected="selected">парня</option>';
echo '<option value="2">девушку</option>';
echo '<option value="3">парня, девушку</option>';
echo '<option value="4">пару М+Ж</option>';
echo '<option value="5">пару М+М</option>';
echo '<option value="6">пару Ж+Ж</option>';
echo '</select>';
echo '<br/>';
echo '<small>Дата рождения:</small><br/>';
echo '<select name="den_r">';
for($i = 0; $i <= 30; $i++) {
$den_r_array = array("01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24", "25", "26", "27", "28", "29", "30", "31");
echo '<option value="'.$den_r_array[$i].'">'.$den_r_array[$i].'</option>';
}
echo "</select>";
echo '<select name="mes_r">';
echo '<option value="01" >Января</option>';
echo '<option value="02" >Февраля</option>';
echo '<option value="03" >Марта</option>';
echo '<option value="04" >Апреля</option>';
echo '<option value="05" >Мая</option>';
echo '<option value="06" >Июня</option>';
echo '<option value="07" >Июля</option>';
echo '<option value="08" >Августа</option>';
echo '<option value="09" >Сентября</option>';
echo '<option value="10" >Октября</option>';
echo '<option value="11" >Ноября</option>';
echo '<option value="12" >Декабря</option>';
echo '</select>';
echo '<select name="god_r">';
for($i = 2001; $i >= 1965; $i--) {echo '<option value="'.$i.'">'.$i.'</option>';}
echo "</select><br/>";
echo '<small>Для продолжения регистрации введите этот код:</small><br/>';
echo '<img src="antireg.php?'.session_name().'='.session_id().'" alt="code"/><br/>';
echo '<input name="cod" type="text" size="3" maxlength="3" /><br/>';
echo '<small><anchor>Продолжить<go href="reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" method="post">';
echo "<postfield name='nick' value='$(nick)' />";
echo "<postfield name='pas' value='$(pas)' />";
echo "<postfield name='name' value='$(name)' />";
echo "<postfield name='trans' value='$(trans)' />";
echo "<postfield name='pol' value='$(pol)' />";
echo "<postfield name='ishu' value='$(ishu)' />";
echo "<postfield name='den_r' value='$(den_r)' />";
echo "<postfield name='mes_r' value='$(mes_r)' />";
echo "<postfield name='god_r' value='$(god_r)' />";
echo "<postfield name='cod' value='$(cod)' />";
echo "<postfield name='rega' value='rega' />";
echo "<postfield name='".session_name()."' value='".session_id()."' />";
echo "<postfield name='small_sid' value='".sid()."' />";
echo "<postfield name='strana' value='".$strana."' />";
echo "<postfield name='city' value='".$city."' />";
echo '</go></anchor><br/>';
echo '---<br/>';
}
else
{
echo '<form method="post" action="reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">';
echo $class_d0;
echo '<b>Город: <a href="city.php?partner='.$partner.'&amp;mod='.$mod.'&amp;act=reg&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">';
if ($ts != false) echo $g.', '.$ts; else echo 'Выбрать';
echo '</a><br/></b>';
echo 'Ник(от 3 до 20 символов,a-zA-Z1-9):<br/>';
echo '<input name="nick" type="text" maxlength="20" class="button" /><br/>';
echo 'Пароль(от 4 до 15 символов):<br/>';
echo '<input name="pas" type="text" maxlength="15" class="button" /><br/>';
echo 'Имя, которое будут видеть пользователи:<br/>';
echo '<input name="name" type="text" maxlength="40" class="button" /><br/>';
echo '<select name="trans" class="button"><option value="0">Как есть</option><option value="1">Транслит</option></select><br/>';
echo 'Пол:<br/>';
echo '<select name="pol" class="button">';
echo '<option value="1" selected="selected">мужской</option>';
echo '<option value="2">женский</option>';
echo '</select>';
echo '<br/>';
echo 'Кого вы ищете:<br/>';
echo '<select name="ishu" class="button">';
echo '<option value="1" selected="selected">парня</option>';
echo '<option value="2">девушку</option>';
echo '<option value="3">парня, девушку</option>';
echo '<option value="4">пару М+Ж</option>';
echo '<option value="5">пару М+М</option>';
echo '<option value="6">пару Ж+Ж</option>';
echo '</select>';
echo '<br/>';
echo 'Дата рождения:<br/>';
echo '<select name="den_r" class="button">';
for($i = 0; $i <= 30; $i++) {
$den_r_array = array("01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24", "25", "26", "27", "28", "29", "30", "31");
echo '<option value="'.$den_r_array[$i].'">'.$den_r_array[$i].'</option>';
}
echo "</select>";
echo '<select name="mes_r" class="button">';
echo '<option value="01" >Января</option>';
echo '<option value="02" >Февраля</option>';
echo '<option value="03" >Марта</option>';
echo '<option value="04" >Апреля</option>';
echo '<option value="05" >Мая</option>';
echo '<option value="06" >Июня</option>';
echo '<option value="07" >Июля</option>';
echo '<option value="08" >Августа</option>';
echo '<option value="09" >Сентября</option>';
echo '<option value="10" >Октября</option>';
echo '<option value="11" >Ноября</option>';
echo '<option value="12" >Декабря</option>';
echo '</select>';
echo '<select name="god_r" class="button">';
for($i = 2001; $i >= 1965; $i--) {echo '<option value="'.$i.'">'.$i.'</option>';}
echo "</select><br/>";
echo 'Для продолжения регистрации введите этот код:<br/>';
echo '<img src="antireg.php?'.session_name().'='.session_id().'" alt="code"/><br/>';
echo '<input name="cod" type="text" size="3" maxlength="3" class="button" /><br/>';
echo '<input type="hidden" name="rega" value="rega" />';
echo '<input type="hidden" name="'.session_name().'" value="'.session_id().'" />';
echo '<input type="hidden" name="small_sid" value="'.sid().'" />';
echo '<input type="hidden" name="strana" value="'.$strana.'" />';
echo '<input type="hidden" name="city" value="'.$city.'" />';
echo '<input type="submit" value="Продолжить" class="do_button" />';
echo $class_divz;
echo '</form>';
}
echo $class_d0;
echo '&#171;- <a href="index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Назад</a><br/>';
echo $class_divz;
if($mod == '1') echo '---<br/>';
}
else
{
$nick = htmlspecialchars(stripslashes(trim($nick))); $nick = substr($nick,0,20);
$pas = htmlspecialchars(stripslashes(trim($pas))); $pas = substr($pas,0,15);
$name = mysql_escape_string(htmlspecialchars(trim($_POST['name'])));
$name = str_replace('$', '$$', $name); $name = substr($name,0,40);
$trans = intval($_POST['trans']);
if($trans == 1) $name = translit($name);
$pol = htmlspecialchars(stripslashes(trim($_POST['pol']))); $pol = intval($pol);
$ishu = htmlspecialchars(stripslashes(trim($_POST['ishu']))); $ishu = intval($ishu);
$den_r = htmlspecialchars(stripslashes(trim($_POST['den_r']))); $den_r = intval($den_r);
$mes_r = htmlspecialchars(stripslashes(trim($_POST['mes_r']))); $mes_r = intval($mes_r);
$god_r = htmlspecialchars(stripslashes(trim($_POST['god_r']))); $god_r = intval($god_r);
$city = htmlspecialchars(stripslashes(trim($_POST['city']))); $city = intval($city);
$strana = htmlspecialchars(stripslashes(trim($_POST['strana']))); $strana = intval($strana);
$cod = htmlspecialchars(stripslashes(trim($_POST['cod']))); $cod = intval($cod); $cod = substr($cod,0,5);
//----------
$godr = (date('Y') - $god_r);
//----------
if(empty($error)) $error = '';
if(empty($city) and empty($strana)) $error = $error. 'Не выбран город!<br/>';
if(empty($nick)) $error = $error. 'Не введен ник<br/>';
else if(!preg_match("!^[a-z0-9]+$!i",$nick)) $error = $error. 'Неверные символы в нике!<br/>';
else if (strlen($nick) < 3) $error = $error. 'Ник не должен быть короче трёх символов!<br/>';
if(empty($pas)) $error = $error. 'Не введен пароль!<br/>';
else if (strlen($pas) < 4) $error = $error. 'Пароль не должен быть короче четырёх символов!<br/>';
else if(!preg_match("!^[a-z0-9]+$!i",$pas)) $error = $error. 'Неверные символы в пароле!<br/>';
if(empty($name)) $error = $error. 'Необходимо заполнить имя!<br/>';
if(empty($pol)) $error = $error. 'Не указан пол!<br/>';
if(empty($ishu)) $error = $error. 'ERROR!<br/>';
if(empty($den_r)) $error = $error. 'Укажите день рождения!<br/>';
if(empty($mes_r)) $error = $error. 'Укажите месяц рождения!<br/>';
if(empty($god_r)) $error = $error. 'Укажите год рождения!<br/>';
else if ((strlen($god_r) !== 4) || ($day > 4)) $error = $error. 'Неверно указана дата рождения!<br/>';
if (@$_POST['cod'] != $_SESSION['code']) $error = $error. 'Код на картинке и введенный код не совпадают<br/>';
//----------
if(!empty($error))
{
echo $class_d2;
echo 'Ошибка!<br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '</small></p><p align="left"><small>';
echo $error;
if($mod == '1') echo '---<br/>';
echo $class_divz.$class_d0;
echo '&#171;- <a href="reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Вернуться</a><br/>';
echo $class_divz.$class_d1;
if($mod == '1') echo '---<br/>';
if (!$autorize) {
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/auth.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="8">Вход</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="9">Регистрация</a><br/>';
}
else
{
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="8">Личное меню</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/out.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="9">Выход</a><br/>';
}
if($mod == '1') echo '</small></p><p align="center"><small>';
echo $class_divz.$class_d2;
echo $class_divz.$class_d2.$class_version.$class_divz.$class_div;
echo $class_endpage;
exit();
}

$q = mysql_query("SELECT `id` FROM `love_user` WHERE `nick` = '".$nick."';");
if(mysql_num_rows($q) != 0)
{
echo $class_d2;
echo 'Ошибка!<br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '</small></p><p align="left"><small>';
echo 'К сожалению ник <strong>'.$nick.'</strong> уже занят.<br/>Попробуйте другой.<br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz.$class_d0;
echo '&#171;- <a href="reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Вернуться</a><br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz.$class_d1;
if (!$autorize) {
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/auth.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="8">Вход</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="9">Регистрация</a><br/>';
}
else
{
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="8">Личное меню</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/out.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="9">Выход</a><br/>';
}
if($mod == '1') echo '</small></p><p align="center"><small>';
echo $class_divz.$class_d2;
echo $class_divz.$class_d2.$class_version.$class_divz.$class_div;
echo $class_endpage;
exit();
}

if($_POST['sid'] == session_id() && $_POST['small_sid'] == sid()) {
$reg = mysql_query("INSERT INTO `love_user` SET `nick` = '".$nick."', `pas` = '".$pas."', `pol` = '".$pol."', `name` = '".$name."', `god_r` = ".$god_r.", `mes_r` = '".$mes_r."', `den_r` = '".$den_r."', `strana` = '".$strana."', `ip` = '".$REMOTE_ADDR."', `ua` = '".$HTTP_USER_AGENT."', `gorod` = '".$city."', `regdata` = '".date('j-m-y')."', `vozrast` = '".$godr."', `ishu` = '".$ishu."', `time` = '".time()."', `user_reg` = '".$_SESSION['partner']."';");

if($reg)
{
$user_id = mysql_insert_id();
@mysql_query("INSERT INTO `love_nastr` SET `uid` = '".$user_id."', `ya_ishu` = '0', `brak` = '0', `sponsor` = '0', `deti` = '0', `zhel_vozr` = '0', `cel_zn` = '0';");
echo $class_d2;
echo 'Регистрация прошла успешно<br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '</small></p><p align="left"><small>';
echo '<b>Запомните данные, а лучше запишите!</b><br/>';
echo 'Ваш ID: '.$user_id.'<br/>';
echo 'Ник: '.$nick.'<br/>';
echo 'Пароль: '.$pas.'<br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '---<br/>';
echo '-&#187; <a href="/auto.php?nick='.$nick.'&amp;pas='.$pas.'&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Личное меню</a><br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz;
}
else
{
echo $class_d0;
echo 'Ошибка!<br/>';
echo mysql_error().'<br/>';
}
session_destroy();
}
}
echo $class_d1;
if (!$autorize) {
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/auth.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="8">Вход</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="9">Регистрация</a><br/>';
}
else
{
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="8">Личное меню</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/out.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="9">Выход</a><br/>';
}
if($mod == '1') echo '</small></p><p align="center"><small>';
echo $class_divz.$class_d2;
echo $class_divz.$class_d2.$class_version.$class_divz.$class_div;
echo $class_endpage;

?>